//
// Released into the Public Domain 07/18/91 by Andrew C. Becker
//
// Demonstrates Dialog() function in AREPLACE.PRG
//

ALERT(  "ALERT() Choices", { "1st Choice", "2nd Choice", "3rd Choice" }, "w+/rb, rb/w" )
Dialog(  "Dialog() Choices", { "1st Choice", "2nd Choice", "3rd Choice" }, "w+/rb, rb/w" )

IF SETMODE( 43, 80 )
  ALERT( "ALERT() in 43-line mode", , "w+/b, b/w" )
  Dialog( "Dialog() in 43-line mode", , "w+/b, b/w"  )
  SETMODE( 25, 80 )
ENDIF

ALERT( "ALERT() only accepts a character string", , "r/w, w/r" )
Dialog( { "Dialog() optionally accepts an array", "of character strings and", "centers each of them within", "the dialog box" }, ,"r/w, w/r" )

?? "Dialog() returned: " + LTRIM( STR( Dialog( { "Here is an example of a", "dialog box with several lines", "of text and multiple choices.", "The Space Bar selects also, as in ALERT().", "Select One:" }, ;
                                               { "Retry", "Cancel", "Nothing", "Go Away", "Forget It" }, ;
                                               "b/w, bg/b" ) ) )

RETURN
